package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.TeachTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class TeacherSalaryDto{

    @ApiModelProperty(value = "用户名编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "用户名",required = false)
    private String username;

    @ApiModelProperty(value = "手机号",required = false)
    private String phone;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseSchedule.CourseScheduleType type;

    @ApiModelProperty(value = "课程名",required = false)
    private String name;

    @ApiModelProperty(value = "实际薪水",required = false)
    private BigDecimal actualSalary;

    @ApiModelProperty(value = "补助",required = false)
    private BigDecimal subsidy;

    @ApiModelProperty(value = "结算时间",required = false)
    private Date settlementTime;

    @ApiModelProperty(value = "教师类型",required = false)
    private TeachTypeEnum teacherRole;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public void setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public TeachTypeEnum getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(TeachTypeEnum teacherRole) {
        this.teacherRole = teacherRole;
    }
}
